#
# spec file for package cellwriter
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cellwriter
Version:        1.3.6
Release:        bp155.4.9
Summary:        Character-based handwriting input panel
License:        GPL-2.0-or-later
Group:          System/GUI/GNOME
URL:            https://github.com/risujin/cellwriter
Source0:        https://github.com/risujin/cellwriter/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         0001-Fix-build-failure-with-GCC10.patch
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-x11-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%description
CellWriter is a grid-entry natural handwriting input panel. As you
write characters into the cells, your writing is instantly recognized
at the character level. When you press Enter on the panel, the input
you entered is sent to the currently focused application as if typed on
the keyboard.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	 --without-gnome
%make_build

%install
%make_install
%suse_update_desktop_file -i -G "Handwriting Input Panel" cellwriter Utility Accessibility

%files
%license COPYING
%doc README NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/scalable/apps/cellwriter.svg
%{_datadir}/applications/*

%changelog
* Thu Apr 28 2022 Dirk Müller <dmueller@suse.com>
- fix homepage url
* Thu Sep 17 2020 Christophe Giboudeaux <christophe@krop.fr>
- Add patch to fix build with GCC10:
  * 0001-Fix-build-failure-with-GCC10.patch
* Mon Dec  4 2017 crrodriguez@opensuse.org
- Convert to pkgconfig() style buildrequires
- Do not buildrequire xorg-x11-devel metapackage.
* Sat Nov  4 2017 aavindraa@gmail.com
- updated to v1.3.6:
  - includes fixes from 1.3.5
  - see ChangeLog for all changes
- clean with spec-cleaner
- drop cellwriter-no-copy-dt-needed-entries.patch, fixed upstream
* Wed Nov 30 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Sep  9 2011 pgajdos@suse.com
- build with --no-copy-dt-needed-entries
  * no-copy-dt-needed-entries.patch
* Sun Aug  2 2009 beineri@opensuse.org
- fix capitalization of GenericName in .desktop file
* Tue Jun 10 2008 dkukawka@suse.de
- updated to v1.3.4:
  - stroke.c, averages.c: Fixed two memory leak
* Thu Jan 31 2008 dkukawka@suse.de
- updated to v1.3.3
* Mon Nov 12 2007 dkukawka@suse.de
- updated to v1.3.1
* Fri Nov  2 2007 dkukawka@suse.de
- initial package v1.3.0
